# Create

Create invitations.

This endpoint allows you to invite new users to join your WarpStream account.

When you send an invitation, the specified user will receive an email with instructions to join the account. Upon accepting the invitation, the user will be granted the role defined in the request. Roles determine the user's permissions and access to workspaces within the account.

```url
POST /api/v1/users/create_invitations
```

## Request Body (JSON):

```json
{
  "invitations": [
    { "email": "test@example.com", "user_role_id": "pri_XXXXXXXXXX" },
    { "email": "test1@example.com", "user_role_id": "pri_XXXXXXXXXX" }
  ]
}
```

### cURL Example:

```bash wrap
curl -X POST https://api.warpstream.com/api/v1/users/create_invitations \
  -H 'warpstream-api-key: XXXXXXXXXX' \
  -H 'Content-Type: application/json' \
  -d '{"invitations": [{"email": "test@example.com", "user_role_id": "pri_XXXXXXXXXX"}, {"email": "test1@example.com", "user_role_id": "pri_XXXXXXXXXX"} ]}'
```

## Response Body (JSON):

```json
{}
```